/***************************************************************************
              mydatabase.h  -  class used by QList for database
                             -------------------                                         
    begin                : Sun Sep 12 1999                                           
    copyright            : (C) 1999 by Kir Smirnov                         
    email                : ksm@mail.ru                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef MYDATABASE_H
#define MYDATABASE_H
  #include <qlist.h>
  #include <qstring.h>
  #include <stdio.h>

/**
  *@author Kir Smirnov
  */

class MyDatabase {
public: 
	MyDatabase(const char* path, time_t mytime) {p=path; t=mytime;}
  const char *path()   const               { return p; }
  time_t      time()   const               { return t; }
private:
  QString p;
  time_t t;
};

#endif
