/***************************************************************************
                          kpreference.cpp  -  program's options
                             -------------------                                         
    begin                : Mon Aug 23 1999                                           
    copyright            : (C) 1999 by Kir Smirnov                         
    email                : ksm@mail.ru                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/
#include <qmessagebox.h>
#include "kbag.h"
#include "kpreference.h"

KPreference::KPreference(QWidget *parent, const char *name) : QDialog(parent,name,true){
	initDialog();
	setCaption(i18n("kBag - setup"));
	connect( QPushButton_Save, SIGNAL(clicked()), SLOT(Save()));
	connect( QPushButton_Close, SIGNAL(clicked()), SLOT(reject()));

	if (strcmp(kbag->compression->data(), "gzip")==0)
		QComboBox_1->setCurrentItem(0);
	else
		QComboBox_1->setCurrentItem(1);
	QLineEdit_1->setText(kbag->floppy_mount->data());
	QLineEdit_2->setText(kbag->removable_mount->data());
	QLineEdit_3->setText(kbag->hard_mount->data());
}

KPreference::~KPreference(){
}

void KPreference::Save(void){
	kbag->compression->setStr(QComboBox_1->currentText());
	kbag->floppy_mount->setStr(QLineEdit_1->text());
	kbag->removable_mount->setStr(QLineEdit_2->text());
	kbag->hard_mount->setStr(QLineEdit_3->text());
  accept();
}
